# -*- encoding : utf-8 -*-
class FrontPageLocksController < ApplicationController
  filter_access_to :all

  def edit
    @front_page_lock = FrontPageLock.where(position: params[:id]).first_or_create
    @upcoming_events = Event.published.upcoming
    # Removed active modifier to allow 'hidden' events to be locked.
  end

  def update
    @front_page_lock = FrontPageLock.find_by_position(params[:id])

    if @front_page_lock.update_attributes(params[:front_page_lock])
      flash[:success] = t('front_page_lock.update_success')
      redirect_to root_path
    else
      @upcoming_events = Event.active.published.upcoming
      flash.now[:error] = t('front_page_lock.update_error')
      render :edit
    end
  end
end
